import { RegistryParam } from '../registry';
export declare function existsIBMapStatic(name?: string): boolean;
export declare function isIBMap(name: string | undefined): name is "ibmap";
export declare function getIBMapStatic(name?: string): any;
export declare function destroyIBMapStatic(name?: string): void;
export declare function validMapRegistData(param?: RegistryParam): boolean;
export declare function setIBMapLicense(value: string): void;
export declare function generateMapID(): string;
export declare function generateElementID(): string;
